
import logging
import time
import sys

import remotectrl

LOG_LEVEL = logging.INFO
LOG_FILE = "/var/log/sauna.log"
LOG_FORMAT = "%(asctime)s %(levelname)s %(message)s"


def main():
    logging.basicConfig(format=LOG_FORMAT, level=LOG_LEVEL, filename=LOG_FILE)
    # logging.basicConfig(format=LOG_FORMAT, level=LOG_LEVEL)

    log = logging.getLogger()

    log.info("Starting...")
    server = remotectrl.RemoteCtrl()
    server.start()

    server.stop()

if __name__ == "__main__":
    sys.exit(main())
